import fs from 'fs';
import updateWebPack from '../webcomponents/create-web-component/update-webpack.js';
import createWebComponentFolder from '../webcomponents/create-web-component/createWebComponentFolder.js';
import createWebComponentFiles from '../webcomponents/create-web-component/createWebComponentFiles.js';
import createDefineElement from '../webcomponents/create-web-component/create-define-element.js';
import updateDefineAllElements from '../webcomponents/create-web-component/update-define-all-elements.js';

import UpdateRemoteModuleDeclarations from '../foundation/create-web-component/update-remote-module-declarations.js';
import UpdateElementsInterfaces from '../foundation/create-web-component/update-elements-interfaces.js';
import UpdateElementsDefinitions from '../foundation/create-web-component/update-elements-definitions.js';
import UpdateApp from '../foundation/create-web-component/update-app.js';
import CreateComponentPage from '../foundation/create-web-component/create-component-page.js';
import UpdateHomePage from '../foundation/create-web-component/update-home-page.js';

async function UpdateWebComponentModule(n, c) {
    await updateWebPack(n, c);
    await createWebComponentFolder(n, c);
    await createWebComponentFiles(n, c);
    await createDefineElement(n, c);
    await updateDefineAllElements(n, c);
}


async function UpdateFoundationModule(n, c) {
    await UpdateRemoteModuleDeclarations(n, c);
    await UpdateElementsInterfaces(n, c);
    await UpdateElementsDefinitions(n, c);
    await UpdateApp(n, c);
    await CreateComponentPage(n, c);
    await UpdateHomePage(n, c);
}

async function createAction(name) {
    let rawdata = fs.readFileSync('midnight-cli.json');
    let config = JSON.parse(rawdata);

    await UpdateWebComponentModule(name, config);
    await UpdateFoundationModule(name, config);
    //TODO
    //Push el proyecto a npm. instalar desde NPM
    //Probar como funcionaria dentro de midnight
    //Una veZ- Q el proyecto este dentro de midnight instalado, verificar como se correria desde la consola y probar la creacion y actualizacion de archivos 
}
export default createAction;