import fs from 'fs';
import { createSpinner } from 'nanospinner';

async function UpdateRemoteModuleDeclarations(name, config) {
    let filePath = `${config.foundation}/src/remote-module-declarations.d.ts`;

    const spinner = createSpinner('Updating remote-module-declarations.d.ts file... \n').start();

    fs.readFile(filePath, 'utf-8', function (err, data) {
        if (err) { spinner.error(); console.log(err); process.exit(1) };
        data = data.replace('//END MODULES - DO NOT REMOVE THIS LINE', `declare module "Midnight/${name}";\n//END MODULES - DO NOT REMOVE THIS LINE`)
        fs.writeFile(filePath, data, function (err) {
            if (err) {
                console.log(err);
                spinner.error();
                process.exit(1)
            }
            spinner.success();
        });
    });
}

export default UpdateRemoteModuleDeclarations;