import fs from 'fs';
import { createSpinner } from 'nanospinner';

async function createWebComponentFolder(name, config) {
    let folderPath = `${config.webcomponents}/src/${name}`;
    const spinner = createSpinner('Creating folder for web component... \n').start();

    fs.mkdir(folderPath, err => {
        if (err) { spinner.error(); process.exit(1) };
        spinner.success();
    });
}

export default createWebComponentFolder;